Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.results
Interface BuildResults

All Known Implementing Classes:
  BuildResultsImpl

    public interface BuildResults

Method Summary
`void` | `addBuildErrors(List fieldErrors)`
`void` | `addErrorMessage(String errorMessage)`
`void` | `addErrorMessages(ErrorCollection errors)`
`boolean` | `equals(Object o)`
`Map` | `getArtifacts()`
`Build` | `getBuild()`
`Date` | `getBuildCompletedTimeStamp()`
`long` | `getBuildDurationInMilliseconds()`
`List` | `getBuildErrors()`
`String` | `getBuildKey()`
`List` | `getBuildLog()`
`int` | `getBuildNumber()`
`String` | `getBuildResultsKey()`
`BuildResultsSummary` | `getBuildResultsSummary()`
`BuildState` | `getBuildState()`
`long` | `getBuildTime()`
`Date` | `getBuildTimeStamp()`
`Collection` | `getChanges()`
`Map` | `getCustomBuildData()`
`int` | `getFailedTestCount()`
`List` | `getFailedTestResults()`
`Collection` | `getFailedTestResultsByClass()`
`Map` | `getFailedTestResultsByClassAsMap()`
`String` | `getFullKey()`
`Collection` | `getJiraIssueKeys()`
`BuildResults` | `getNextBuildResults()`
`String` | `getPrettyBuildTime()`
`BuildResults` | `getPreviousBuildResults()`
`BuildProgressBar` | `getProgressBar()`
`ReasonForBuild` | `getReasonForBuild()`
`File` | `getSourceDirectory()`
`StopWatch` | `getStopWatch()`
`int` | `getSuccessfulTestCount()`
`double` | `getSuccessfulTestDuration()`
`String` | `getSuccessfulTestDurationAsText()`
`List` | `getSuccessfulTestResults()`
`Collection` | `getSuccessfulTestResultsByClass()`
`int` | `getTestCount()`
`TestResultsSummary` | `getTestResults()`
`Set` | `getUniqueAuthors()`
`boolean` | `hasBuildErrors()`
`boolean` | `hasFailedTests()`
`int` | `hashCode()`
`boolean` | `hasSuccessfulTests()`
`boolean` | `isCurrentlyQueuedOnly()`
`void` | `setArtifacts(Map artifacts)`
`void` | `setBuildKey(String buildKey)`
`void` | `setBuildLog(List buildLog)`
`void` | `setBuildManager(BuildManager buildManager)`
`void` | `setBuildNumber(int buildNumber)`
`void` | `setBuildState(BuildState buildState)`
`void` | `setBuildTimeStamp(Date date)`
`void` | `setDurationInMilliseconds(long buildDuration)`
`void` | `setFailedTestResults(List failedTestResults)`
`void` | `setReasonForBuild(ReasonForBuild reasonForBuild)`
`void` | `setSourceDirectory(File sourceCodeDirectory)`
`void` | `setSuccessfulTestResults(List successfulTestResults)`
`void` | `startTimer()`
`void` | `stopTimer()`

Method Detail

### getBuild

    Build getBuild()

### getBuildKey

    String getBuildKey()

### getFullKey

    String getFullKey()

### getBuildResultsSummary

    BuildResultsSummary getBuildResultsSummary()

### setBuildTimeStamp

    void setBuildTimeStamp(Date date)

### getBuildTimeStamp

    Date getBuildTimeStamp()

### getBuildCompletedTimeStamp

    Date getBuildCompletedTimeStamp()

### setDurationInMilliseconds

    void setDurationInMilliseconds(long buildDuration)

### getBuildDurationInMilliseconds

    long getBuildDurationInMilliseconds()

### getBuildState

    BuildState getBuildState()

### setBuildState

    void setBuildState(BuildState buildState)

### getChanges

    Collection getChanges()

### addErrorMessage

    void addErrorMessage(String errorMessage)

### addBuildErrors

    void addBuildErrors(List fieldErrors)

### getBuildErrors

    List getBuildErrors()

### hasBuildErrors

    boolean hasBuildErrors()

### setBuildNumber

    void setBuildNumber(int buildNumber)

### getBuildNumber

    int getBuildNumber()

### getFailedTestResults

    List getFailedTestResults()

### hasFailedTests

    boolean hasFailedTests()

### getFailedTestCount

    int getFailedTestCount()

### setFailedTestResults

    void setFailedTestResults(List failedTestResults)

### getSuccessfulTestResults

    List getSuccessfulTestResults()

### hasSuccessfulTests

    boolean hasSuccessfulTests()

### getSuccessfulTestResultsByClass

    Collection getSuccessfulTestResultsByClass()

### getFailedTestResultsByClass

    Collection getFailedTestResultsByClass()

### getFailedTestResultsByClassAsMap

    Map getFailedTestResultsByClassAsMap()

### getSuccessfulTestCount

    int getSuccessfulTestCount()

### getTestCount

    int getTestCount()

### setSuccessfulTestResults

    void setSuccessfulTestResults(List successfulTestResults)

### getSourceDirectory

    File getSourceDirectory()

### setSourceDirectory

    void setSourceDirectory(File sourceCodeDirectory)

### getReasonForBuild

    ReasonForBuild getReasonForBuild()

### setReasonForBuild

    void setReasonForBuild(ReasonForBuild reasonForBuild)

### getArtifacts

    Map getArtifacts()

### setArtifacts

    void setArtifacts(Map artifacts)

### equals

    boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### getSuccessfulTestDuration

    double getSuccessfulTestDuration()

### getSuccessfulTestDurationAsText

    String getSuccessfulTestDurationAsText()

### addErrorMessages

    void addErrorMessages(ErrorCollection errors)

### getBuildLog

    List getBuildLog()

### setBuildLog

    void setBuildLog(List buildLog)

### getUniqueAuthors

    Set getUniqueAuthors()

### getTestResults

    TestResultsSummary getTestResults()

### getPreviousBuildResults

    BuildResults getPreviousBuildResults()

### getNextBuildResults

    BuildResults getNextBuildResults()

### setBuildKey

    void setBuildKey(String buildKey)

### isCurrentlyQueuedOnly

    boolean isCurrentlyQueuedOnly()

### getStopWatch

    StopWatch getStopWatch()

### startTimer

    void startTimer()

### stopTimer

    void stopTimer()

### getBuildTime

    long getBuildTime()

### getPrettyBuildTime

    String getPrettyBuildTime()

### setBuildManager

    void setBuildManager(BuildManager buildManager)

### getProgressBar

    BuildProgressBar getProgressBar()

### hashCode

    int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getJiraIssueKeys

    Collection getJiraIssueKeys()

### getBuildResultsKey

    String getBuildResultsKey()

### getCustomBuildData

    Map getCustomBuildData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.